org.python.modules._weakref

## Class CallableProxyType

- java.lang.Object
- - org.python.core.PyObject
  - - org.python.modules._weakref.AbstractReference
    - - org.python.modules._weakref.ProxyType
      - - org.python.modules._weakref.CallableProxyType

- All Implemented Interfaces:
    java.io.Serializable, Traverseproc

      public class CallableProxyType
      extends ProxyType

  ProxyType with __call__.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.python.core.PyObject

      `PyObject.ConversionException`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PyType` | `TYPE`

    - ### Fields inherited from class org.python.core.PyObject

      `gcMonitorGlobal`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CallableProxyType(ReferenceBackend ref, PyObject callback)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PyObject` | `__call__(PyObject[] args, java.lang.String[] kws)` The basic method to override when implementing a callable object.

    - ### Methods inherited from class org.python.modules._weakref.ProxyType

      `__abs__, __add__, __and__, __complex__, __contains__, __delattr__, __delitem__, __delslice__, __div__, __divmod__, __findattr_ex__, __finditem__, __float__, __floordiv__, __getslice__, __hex__, __iadd__, __iand__, __idiv__, __ifloordiv__, __ilshift__, __imod__, __imul__, __index__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __iter__, __ixor__, __len__, __long__, __lshift__, __mod__, __mul__, __neg__, __nonzero__, __oct__, __or__, __pos__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rxor__, __setattr__, __setitem__, __setslice__, __str__, __sub__, __unicode__, __xor__`

    - ### Methods inherited from class org.python.modules._weakref.AbstractReference

      `__eq__, __ne__, equals, hasCallback, hashCode, refersDirectlyTo, traverse`

    - ### Methods inherited from class org.python.core.PyObject

      `__call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __cmp__, __coerce__, __coerce_ex__, __delattr__, __delete__, __delitem__, __delslice__, __dir__, __ensure_finalizer__, __findattr__, __findattr__, __finditem__, __finditem__, __format__, __ge__, __get__, __getattr__, __getattr__, __getitem__, __getitem__, __getnewargs__, __getslice__, __gt__, __hash__, __idivmod__, __iternext__, __itruediv__, __le__, __lt__, __not__, __pow__, __reduce__, __reduce_ex__, __reduce_ex__, __repr__, __rfloordiv__, __rtruediv__, __set__, __setattr__, __setitem__, __setitem__, __setslice__, __tojava__, __truediv__, __trunc__, _add, _and, _callextra, _cmp, _div, _divmod, _doget, _doget, _doset, _eq, _floordiv, _ge, _gt, _iadd, _iand, _idiv, _idivmod, _ifloordiv, _ilshift, _imod, _imul, _in, _ior, _ipow, _irshift, _is, _isnot, _isub, _itruediv, _ixor, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _truediv, _xor, asDouble, asIndex, asIndex, asInt, asInt, asIterable, asLong, asLong, asName, asName, asString, asString, asStringOrNull, asStringOrNull, bit_length, conjugate, delDict, delType, dispatch__init__, fastGetClass, fastGetDict, getDict, getType, implementsDescrDelete, implementsDescrGet, implementsDescrSet, invoke, invoke, invoke, invoke, invoke, invoke, isCallable, isDataDescr, isIndex, isInteger, isMappingType, isNumberType, isSequenceType, noAttributeError, object___subclasshook__, readonlyAttributeError, setDict, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static final PyType TYPE

  - ### Constructor Detail

    - #### CallableProxyType

          public CallableProxyType(ReferenceBackend ref,
                                   PyObject callback)

  - ### Method Detail

    - #### __call__

          public PyObject __call__(PyObject[] args,
                                   java.lang.String[] kws)

      Description copied from class: `PyObject`
      The basic method to override when implementing a callable object. The first len(args)-len(keywords) members of args[] are plain arguments. The last len(keywords) arguments are the values of the keyword arguments.
      Overrides:
        `__call__` in class `PyObject`
      Parameters:
        `args` - all arguments to the function (including keyword arguments).
        `kws` - the keywords used for all keyword arguments.

Jython homepage